<?xml version="1.0"?>
<doc>
    <assembly>
        <name>C1.Xaml.Automation</name>
    </assembly>
    <members>
        <member name="T:C1.Xaml.Automation.C1CalendarAutomationPeer">
            <summary>
            Automation peer for the C1Calendar.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1CalendarAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1CalendarAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.DaySlotPresenterAutomationPeer">
            <summary>
            Automation peer for the DaySlotPresenter.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.DaySlotPresenterAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement,Windows.UI.Xaml.Controls.Control)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.DaySlotPresenterAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
            <param name="calendar">The owning C1Calendar control.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1AutomationPeer">
            <summary>
            Base Automation peer class.
            </summary>
        </member>
        <member name="T:C1.Xaml.Automation.C1DateSelectorAutomationPeer">
            <summary>
            Automation peer for the C1DateSelector.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1DateSelectorAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1DateSelectorAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1DateTimeSelectorAutomationPeer">
            <summary>
            Automation peer for the C1DateTimeSelector.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1DateTimeSelectorAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1DateTimeSelectorAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TimeSelectorAutomationPeer">
            <summary>
            Automation peer for the C1TimeSelector.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TimeSelectorAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TimeSelectorAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TreeViewAutomationPeer">
            <summary>
            Automation peer for the C1TreeViewItem.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TreeViewAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TreeViewItemAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TreeViewItemAutomationPeer">
            <summary>
            Automation peer for the C1TreeViewItem.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TreeViewItemAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TreeViewItemAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TabControlAutomationPeer">
            <summary>
            Automation peer for the C1TabControl.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TabControlAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TabControlAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TabItemAutomationPeer">
            <summary>
            Automation peer for the C1TabItem.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TabItemAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TabItemAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1DatePickerAutomationPeer">
            <summary>
            Automation peer for the C1DatePicker.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1DatePickerAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1DatePickerAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1DateTimePickerAutomationPeer">
            <summary>
            Automation peer for the C1DateTimePicker.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1DateTimePickerAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1DateTimePickerAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TimeEditorAutomationPeer">
            <summary>
            Automation peer for the C1TimeEditor.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TimeEditorAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TimeEditorAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1BookAutomationPeer">
            <summary>
            Automation peer for the C1Book control.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1BookAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1BookAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1BookZoneAutomationPeer">
            <summary>
            Automation peer class for a BookZone.
            </summary>
        </member>
        <member name="T:C1.Xaml.Automation.C1FlexComboBoxAutomationPeer">
            <summary>
            Automation peer for the C1FlexComboBox control.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1FlexComboBoxAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1FlexGridAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1FlexGridAutomationPeer">
            <summary>
            Automation peer for the C1FlexGrid control.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1FlexGridAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1FlexGridAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="M:C1.Xaml.Automation.C1FlexGridAutomationPeer.Scroll(Windows.UI.Xaml.Automation.ScrollAmount,Windows.UI.Xaml.Automation.ScrollAmount)">
            <summary>
            Scrolls the visible region of the content area horizontally, vertically, or both.
            </summary>
        </member>
        <member name="P:C1.Xaml.Automation.C1FlexGridAutomationPeer.HorizontallyScrollable">
            <summary>
            Gets a value that indicates whether the grid can scroll horizontally.
            </summary>
        </member>
        <member name="P:C1.Xaml.Automation.C1FlexGridAutomationPeer.HorizontalScrollPercent">
            <summary>
            Gets the current horizontal scroll position.
            </summary>
        </member>
        <member name="P:C1.Xaml.Automation.C1FlexGridAutomationPeer.HorizontalViewSize">
            <summary>
            Gets the current horizontal view size.
            </summary>
        </member>
        <member name="P:C1.Xaml.Automation.C1FlexGridAutomationPeer.VerticallyScrollable">
            <summary>
            Gets a value that indicates whether the control can scroll vertically.
            </summary>
        </member>
        <member name="P:C1.Xaml.Automation.C1FlexGridAutomationPeer.VerticalScrollPercent">
            <summary>
            Gets the current vertical scroll position.
            </summary>
        </member>
        <member name="P:C1.Xaml.Automation.C1FlexGridAutomationPeer.VerticalViewSize">
            <summary>
            Gets the vertical view size.
            </summary>
        </member>
        <member name="T:C1.Xaml.Automation.C1FlexGridCellAutomationPeer">
            <summary>
            Automation peer for a cell of the C1FlexGrid control.
            </summary>
        </member>
        <member name="T:C1.Xaml.Automation.C1FlexGridPartAutomationPeer">
            <summary>
            Base Automation peer class for parts (rows and cells) of the C1FlexGrid control.
            </summary>
        </member>
        <member name="T:C1.Xaml.Automation.C1FlexGridPanelAutomationPeer">
            <summary>
            Automation peer for the C1FlexGrid control.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1FlexGridPanelAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1FlexGridPanelAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1FlexGridRowAutomationPeer">
            <summary>
            Automation peer for a row of the C1FlexGrid control.
            </summary>
        </member>
        <member name="T:C1.Xaml.Automation.C1GaugeAutomationPeer">
            <summary>
            Automation peer for the C1Gauge.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1GaugeAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1GaugeAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1KnobAutomationPeer">
            <summary>
            Automation peer for the C1Gauge.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1KnobAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1KnobAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1LinearGaugeAutomationPeer">
            <summary>
            Automation peer for the C1Gauge.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1LinearGaugeAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1LinearGaugeAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TileViewAutomationPeer">
            <summary>
            Automation peer for the C1TileView.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TileViewAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TileViewAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TileViewItemAutomationPeer">
            <summary>
            Automation peer for the C1TileViewItem.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TileViewItemAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TileViewItemAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.C1TileBaseAutomationPeer">
            <summary>
            Automation peer for the C1TileBase.
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.C1TileBaseAutomationPeer.#ctor(Windows.UI.Xaml.FrameworkElement)">
            <summary>
            Initializes a new instance of a <see cref="T:C1.Xaml.Automation.C1TileBaseAutomationPeer"/>.
            </summary>
            <param name="owner">The control associated with this peer.</param>
        </member>
        <member name="T:C1.Xaml.Automation.Utils">
            <summary>
            Misc utilities methods
            </summary>
        </member>
        <member name="M:C1.Xaml.Automation.Utils.GetVisualTreeChildren(Windows.UI.Xaml.DependencyObject)">
            <summary>
            Iterates through the visual children of the specified element.
            </summary>
            <param name="root"></param>
            <returns></returns>
        </member>
    </members>
</doc>
